# OpenData product image

{% hint style="warning" %}

### API test authentication

The Open API block allows you to test OS APIs directly from the page with example data and parameters. To use this feature, you will need to add your API Key or OAuth2 token to the authentication field.

For help generating an API Key or OAuth2 token, please see the [Getting started with an API project](https://docs.os.uk/os-apis/core-concepts/getting-started-with-an-api-project) or [OAuth2 documentation](https://docs.os.uk/os-apis/accessing-os-apis/oauth-2-api).
{% endhint %}

## GET /products/{productId}/images/{index}

> Returns a HTTP redirect, pointing to thumbnail images for the specified OpenData product.

```json
{"openapi":"3.0.0","info":{"title":"Ordnance Survey Download API","version":"1.0.0"},"tags":[{"name":"OpenData","description":"Operations providing access to OpenData products."}],"servers":[{"url":"https://api.os.uk/downloads/v1/"}],"paths":{"/products/{productId}/images/{index}":{"get":{"summary":"Returns a HTTP redirect, pointing to thumbnail images for the specified OpenData product.","tags":["OpenData"],"parameters":[{"in":"path","name":"productId","schema":{"type":"string"},"required":true,"description":"The id of the product."},{"in":"path","name":"index","schema":{"type":"integer"},"required":true,"description":"The index of the image to be retrieved. Valid values are from 0 to (Product.imageCount-1)."},{"in":"query","name":"large","schema":{"type":"boolean"},"allowEmptyValue":true,"description":"When set, the image that is returned will be a larger version."}],"responses":{"200":{"description":"Successful response.","content":{"image/jpeg":{"schema":{"type":"string","format":"binary"}}}},"307":{"description":"This response is a redirect to the actual image location.","headers":{"Location":{"schema":{"type":"string"},"description":"Direct URL for the product image."}}},"404":{"$ref":"#/components/responses/NotFoundError"}}}}},"components":{"responses":{"NotFoundError":{"description":"The request does not match any known content.\nThe response will contain a human readable message, and may also contain links to help you\nnavigate to other API endpoints.\n","content":{"application/json":{"schema":{"type":"object","required":["message"],"properties":{"message":{"type":"string"},"dataPackagesUrl":{"type":"string","format":"uri"},"downloadCatalogueUrl":{"type":"string","format":"uri"},"productUrl":{"type":"string","format":"uri"},"productDownloadsUrl":{"type":"string","format":"uri"}}}}}}}}}
```
